Managed

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

Retrieve managed viewsets

Get all views associated with a specific managed viewset. GET /api/environments/{team_id}/managed_viewsets/{kind}/

Required API key scopes

warehouse_view:read

Path parameters

  • kind
    string
    One of: "revenue_analytics""engineering_analytics"

Response


Example request

GET /api/projects/:project_id/managed_viewsets/:kind
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/managed_viewsets/:kind/

Example response

Status 200
RESPONSE
{
"views": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by_id": 0
}
],
"count": 0
}
Status 400 Unknown managed viewset kind.